Skip to main content
Compute Management/Image Storage Related Interfaces/Image Related Interfaces
DELETEImage Related InterfacesSince 0.6SynchronousAuth Required

Delete Image

Delete Image

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the image, uniquely identifies the sub-resource

Body Fields

  • backupStorageUuidsList

    List of image storage UUIDs

  • deleteModeString

    Delete mode (Permissive or Enforcing, default is Permissive)

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/zstack/v1/images/{uuid}?backupStorageUuids={backupStorageUuids}&deleteMode={deleteMode}

/zstack/v1/images/{uuid}?backupStorageUuids={backupStorageUuids}&deleteMode={deleteMode}

Operation ID

DeleteImage

Permalink

Request Example

curl -X DELETE 'http://{host}/zstack/v1/images/{uuid}?backupStorageUuids={backupStorageUuids}&deleteMode={deleteMode}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"backupStorageUuids":["<backupStorageUuids>"],"deleteMode":"<deleteMode>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history